Package org.eclipse.net4j.util.factory

# Interface ITreeFactory

All Superinterfaces:
  `IFactory`

All Known Implementing Classes:
  `AnnotationFactory`, `TreeFactory`, `TreeFactory.ContainerAware`

public interface ITreeFactory extends IFactory

Since:
  3.23
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Object`
`createWithTree(Tree config)`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`create, getDescriptionFor, getKey`

## Method Details

### createWithTree

Object createWithTree(Tree config) throws ProductCreationException

Throws:
  `ProductCreationException`